Subject: Re: [PATCH] sha1_name: avoid quadratic list insertion in handle_one_ref

From: Jeff King <[email-masked]>
Date: Fri, 22 Aug 2014 00:04:46 -0400

On Thu, Aug 21, 2014 at 08:30:29PM +0200, René Scharfe wrote:

> Similar to 16445242 (fetch-pack: avoid quadratic list insertion in
> mark_complete), sort only after all refs are collected instead of while
> inserting.  The result is the same, but it's more efficient that way.
> The difference will only be measurable in repositories with a large
> number of refs.

Looks good, thanks.

I was hoping one of these would be fixing the quadratic http-push
behavior I mentioned yesterday, but alas. We seem to have a lot of
quadratic spots to fix. :)

-Peff